package VistaControlador;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import Logica.Gestion;

public class ControladorPanelModificar implements ActionListener{
	VistaPanelModificar vista;
	Menu menu;
	
	ControladorPanelModificar(VistaPanelModificar vista, Menu menu) {
		this.menu = menu;
		this.vista = vista;
		this.aniadirListeners();
	}
	
	private void aniadirListeners() {
		this.vista.editarGestion.addActionListener(this);
		this.vista.editarGestion.setActionCommand("Editar gestion");
		this.vista.editarTransaccion.addActionListener(this);
		this.vista.editarTransaccion.setActionCommand("Editar transaccion");
	}
	
	@Override
	public void actionPerformed(ActionEvent arg0) {
		switch(arg0.getActionCommand()) {
		case "Editar gestion":{
			this.menu.pestanias.get(this.menu.pestania.getSelectedIndex()).gestiones.setNombre(this.vista.nuevoEditar.getText());
			this.menu.cargarPestanias();
			break;
		}
		case "Editar transaccion":{
			if(!this.vista.nuevoEditar.getText().equals("")) {
				this.menu.pestanias.get(this.menu.pestania.getSelectedIndex()).editarTransaccion(this.vista.viejoEditar.getText(), this.vista.nuevoEditar.getText());

			}
			if(!this.vista.dineroEditar.getText().equals("")) {
				float dinero = Float.parseFloat(this.vista.dineroEditar.getText());
				this.menu.pestanias.get(this.menu.pestania.getSelectedIndex()).editarTransaccionDinero(this.vista.viejoEditar.getText(), dinero);
			}
			this.menu.pestanias.get(this.menu.pestania.getSelectedIndex()).editarTransaccionFecha(this.vista.viejoEditar.getText(), this.menu.elegirMes.getDate());
			break;
		}
		}
		
	}

}
